{
	"format_version": "1.8.0",
	"animations": {
		"animation.seal.walk": {
			"loop": true,
			"anim_time_update": "query.modified_distance_moved",
			"bones": {
				"main": {
					"rotation": [0, 0, "Math.cos(query.anim_time *38.17) * 5"]
				},
				"body": {
					"rotation": [0, 0, 0]
				},
				"arm0": {
					"rotation": ["Math.cos(query.anim_time *38.17) * 30", 0, 0]
				},
				"arm1": {
					"rotation": ["Math.cos(query.anim_time *38.17) * 30", 0, 0]
				}
			}
		},
		"animation.seal.swim": {
			"loop": true,
			"anim_time_update": "query.modified_distance_moved",
			"bones": {
				"body": {
					"rotation": [90, "math.cos(q.anim_time*90)*3", 0],
					"position": [0, -1, 0]
				},
				"head": {
					"rotation": [-97.5, 0, "math.cos(-60+q.anim_time*90)*5"],
					"position": [0, 1, -1]
				},
				"arm0": {
					"rotation": [0, 0, "math.cos(q.anim_time*90)*5+80"],
					"position": [3, 7, 0]
				},
				"tail": {
					"rotation": ["math.cos(-90+q.anim_time*45)*5", "math.cos(-60+q.anim_time*90)*4", 0],
					"position": [0, 1, -2]
				},
				"arm1": {
					"rotation": [0, 0, "math.cos(q.anim_time*90)*5-80"],
					"position": [-3, 7, 0]
				}
			}
		}
	}
}